//
//  FreeInactiveAppDelegate.m
//  FreeInactive
//
//  Created by Jerome Scott on 7/27/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "FreeInactiveAppDelegate.h"

@implementation FreeInactiveAppDelegate
@synthesize statusLabel;

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    /* Center the windows */
    CGFloat xPos = NSWidth([[window screen] frame])/2 - NSWidth([window frame])/2;
    CGFloat yPos = NSHeight([[window screen] frame])/2 - NSHeight([window frame])/2;
    [window setFrame:NSMakeRect(xPos, yPos, NSWidth([window frame]), NSHeight([window frame])) display:YES];

}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)theApplication {
    return YES;
}

- (IBAction)freeButton:(id)sender {
    NSAlert *alert = [[[NSAlert alloc] init] autorelease];
    [alert addButtonWithTitle:@"Exit"];
    [alert setInformativeText:@"Operation Completed"];   
    pid_t p = fork();
    if (p == 0) {
        /* fork returns 0 in the child process. */
        execl("/usr/bin/purge", NULL);
    } else {
        /* fork returns the child's PID in the parent. */
        int status;
        wait(&status);
        /* The child has exited, and status contains the way it exited. */
        [statusLabel setStringValue:@"Operation Completed!"];
        [alert runModal];
        exit(0);
    }
}
@end
